Package org.jfree.layouting.input.style.keys.text

## Class TextDecorationWidth

- java.lang.Object
- - org.jfree.layouting.input.style.keys.text.TextDecorationWidth

-     public class TextDecorationWidth
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CSSConstant` | `BOLD` | A bold is basicly an auto, that is thicker than the normal auto value.
    `static CSSConstant` | `DASH` | A dash is basicly an auto, that is thinner than the normal auto value.
    `static CSSConstant` | `NORMAL` | The text decoration width is the normal text decoration width for the nominal font.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BOLD

          public static final CSSConstant BOLD

      A bold is basicly an auto, that is thicker than the normal auto value.

    - #### DASH

          public static final CSSConstant DASH

      A dash is basicly an auto, that is thinner than the normal auto value.

    - #### NORMAL

          public static final CSSConstant NORMAL

      The text decoration width is the normal text decoration width for the nominal font. If no font characteristic exists for the width of the text decoration in question, the user agent should proceed as though 'auto' were specified. The computed value is 'normal'.